Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Pod/Coverage/TrustPod.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Test/Signature.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Env-C
Version:        0.15
Release:        alt7_21
Summary:        Get/set/unset environment variables on the C level
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/Env-C
Source0:        https://cpan.metacpan.org/authors/id/M/MS/MSCHOUT/Env-C-%{version}.tar.gz
# Obey to perl's PERL_USE_SAFE_PUTENV default
Patch1:         Env-C-0.14-Obey-to-perl-s-PERL_USE_SAFE_PUTENV-default.patch
# Disable unreliable t/leak.t instead. ppc64 usually fails.
# <https://github.com/mschout/env-c/issues/3>
Patch2:         Env-C-0.14-Skip-unreliable-t-leat.t-test.patch
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl-devel
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(warnings.pm)
# Run-time
BuildRequires:  perl(DynaLoader.pm)
# Tests
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
This module provides a Perl API for getenv(3), setenv(3) and unsetenv(3).
It also can return all the environ variables.

%prep
%setup -q -n Env-C-%{version}
%patch1 -p1
%patch2 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc --no-dereference LICENSE
%doc Changes README
%{perl_vendor_archlib}/auto/*
%{perl_vendor_archlib}/Env*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.15-alt7_21
- update to new release by fcimport

* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 0.15-alt7_19
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.15-alt6_19
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.15-alt6_17
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.15-alt6_16
- update to new release by fcimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.15-alt6_15
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.15-alt6_14
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.15-alt6_13
- update to new release by fcimport

* Thu Jul 08 2021 Igor Vlasenko <viy@altlinux.org> 0.15-alt6_12
- update to new release by fcimport

* Wed Jun 16 2021 Cronbuild Service <cronbuild@altlinux.org> 0.15-alt6_11
- rebuild to get rid of unmets

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.15-alt5_11
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.15-alt5_10
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.15-alt4_10
- rebuild with perl 5.30

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.15-alt3_10
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.15-alt3_9
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.15-alt3_8
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.15-alt3_7
- update to new release by fcimport

* Mon Jun 17 2019 Igor Vlasenko <viy@altlinux.ru> 0.15-alt3_6
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.15-alt3_5
- update to new release by fcimport

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.15-alt3_4
- rebuild to get rid of unmets

* Tue Jan 29 2019 Cronbuild Service <cronbuild@altlinux.org> 0.15-alt2_4
- rebuild to get rid of unmets

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_4
- update to new release by fcimport

* Sun Jul 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_3
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_2
- update to new release by fcimport

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_1
- rebuild with perl 5.26

* Thu Aug 17 2017 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1
- regenerated from template by package builder

* Mon Apr 03 2017 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt2
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1.1
- rebuild with perl 5.22

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.12-alt2
- rebuild to get rid of unmets

* Mon Nov 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Thu Sep 19 2013 Igor Vlasenko <viy@altlinux.ru> 0.10-alt1
- initial import by package builder

